PUT members Id
BearerAuthorizationBearer <token>Paste your JWT token here
id*stringThe unique identifier of the member to update.
uuidThe data transfer object containing the complete updated profile information.
application/json- body
Defines the DTO for updating an existing member, containing all necessary information for modifying a member's properties. The MemberUpdateDTO is used to transfer data from the client to the server when updating an existing member, allowing for changes to be made to the member's details while ensuring that the provided information is validated appropriately for the update process.
studentNumber*stringThe student number of the member.
firstName*stringThe first name of the member.
0 <= length <= 60lastName*stringThe last name of the member.
0 <= length <= 60email*stringThe email address of the member.
^[a-zA-Z0-9!#$%&'*+/=?^_`{|}~.-]+@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)+$0 <= length <= 100phoneNumber*stringThe phone number of the member.
^(\+?[1-9]\d{6,14}|0[1-9]\d{8})$1 <= lengthstreet*stringThe street of the member.
0 <= length <= 40houseNumber*stringThe house number of the member.
^[1-9][0-9]*(?:[\s-]?[a-zA-Z0-9]{1,3})?$0 <= length <= 10postalCode*stringThe postal code of the member.
0 <= length <= 10city*stringThe city of the member.
0 <= length <= 40dateOfBirth*stringThe date of birth of the member.
date-timeparentPhoneNumber?|Phone number of the member's parent or guardian, if the member is a minor.
^(\+?[1-9]\d{6,14}|0[1-9]\d{8})$notes?|The notes about the member.
preferredLanguage*LanguageDefines the language preference of a member, which can be either Dutch (NL) or English (EN). This enumeration is used to indicate the preferred language for communication and content presentation for a member within the system.
int32"NL""EN"gratie?booleanIndicates whether the member is granted a fee waiver.
lidVanVerdienste?booleanIndicates whether the member is a "Lid van Verdienste".
ereLid?booleanIndicates whether the member is an honorary member.
begunstiger?booleanIndicates whether the member is a "Begunstiger".
suspended?booleanIndicates whether the member is suspended.
No Content
curl -X PUT 'https://example.com/members/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "studentNumber": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "street": "string", "houseNumber": "string", "postalCode": "string", "city": "string", "dateOfBirth": "2019-08-24T14:15:22Z", "preferredLanguage": "NL"}'